```
title = "LiveView Native"
tags = ["elixir", "swift"]
date = "2022-09-01 12:30:42 -0400"
short_desc = "An iOS SwiftUI client for Phoenix LiveView."
slug = "liveviewnative"
```

I'm very excited for the project I've been working on all year to finally be public. [LiveView Native](https://native.live) is a library that lets you build native apps backed by [Phoenix LiveView](https://github.com/phoenixframework/phoenix_live_view). I've been developing the [iOS client](https://github.com/liveviewnative/liveview-client-swiftui) which is backed by SwiftUI.

Using LiveView Native lets avoid duplicating business logic on the frontend and save time on implementing dedicated APIs for native apps. The iOS client can be integrated into any existing app by using a single SwiftUI view, so it's easy to adopt it for just a single screen at a time.

You can find the documentation[^1] for the Swift package [here](https://liveviewnative.github.io/liveview-client-swiftui/documentation/phoenixliveviewnative/), including a step-by-step [tutorial](https://liveviewnative.github.io/liveview-client-swiftui/tutorials/yourfirstapp) which walks you through building a complete app with LiveView Native.

[^1]: This is the first time I've used [DocC](https://developer.apple.com/documentation/docc) and it has been largely excellent. It's made it very easy to produce nice-looking and well-organized documentation. And the tutorial mechanism has been very useful.

We've also developed a simple [chat app](https://github.com/liveviewnative/elixirconf_chat) which was used by the attendees of ElixirConf this year, and serves as a complete example of a LiveView Native app.

I'm very excited to see what people build with it.

